### Hierarchy

- unknown
  - GetXmrNewSubaddressReply

## Index

### Constructors

- constructor

### Methods

- getSubaddress
- serializeBinary
- setSubaddress
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetXmrNewSubaddressReply(): GetXmrNewSubaddressReply

- Inherited from jspb.Message.constructor

  #### Returns GetXmrNewSubaddressReply

## Methods

### getSubaddress

- getSubaddress(): string

- - Defined in src/protobuf/grpc_pb.d.ts:3044

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3047

  #### Returns Uint8Array

### setSubaddress

- setSubaddress(value: string): GetXmrNewSubaddressReply

- - Defined in src/protobuf/grpc_pb.d.ts:3045

  #### Parameters

  - ##### value: string

  #### Returns GetXmrNewSubaddressReply

### toObject

- toObject(includeInstance?: boolean): GetXmrNewSubaddressReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3048

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetXmrNewSubaddressReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetXmrNewSubaddressReply

- - Defined in src/protobuf/grpc_pb.d.ts:3051

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetXmrNewSubaddressReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetXmrNewSubaddressReply, reader: BinaryReader): GetXmrNewSubaddressReply

- - Defined in src/protobuf/grpc_pb.d.ts:3052

  #### Parameters

  - ##### message: GetXmrNewSubaddressReply

  - ##### reader: BinaryReader

  #### Returns GetXmrNewSubaddressReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetXmrNewSubaddressReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3050

  #### Parameters

  - ##### message: GetXmrNewSubaddressReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetXmrNewSubaddressReply ): GetXmrNewSubaddressReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3049

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetXmrNewSubaddressReply

  #### Returns GetXmrNewSubaddressReply . AsObject

Generated using TypeDoc